EntLib3.1 And 4.1 Interchangable?

Topics: Data Access Application Block, Validation Application Block
Apr 5, 2010 at 11:21 AM

Hi there

Just wanted to ask if these two versions of entlib are interchangble. I have a project in production that uses EntiLib 3.1(DAAB an VAAB). Can i upgarde the entlib version without having to do changes to the code?


Apr 6, 2010 at 5:14 AM

Hi Melkor,

I believe there will be no any code changes needed if you upgrade to EntLib 4.1 except for the configuration and the referenced assemblies. Though, you still might want to check the release changes and see if there may have impacts with your current code.  You can use the following as reference

Upgrade to EntLib 4.0 - http://entlib.codeplex.com/releases/view/13498#DownloadId=45855

Upgrade to EntLib 4.1 - http://entlib.codeplex.com/releases/view/18859#DownloadId=47883

To update the referenced assemblies to the new version and update your config file to correct the version. Please see this FAQ item that discusses about migration http://entlib.codeplex.com/wikipage?title=Is%20it%20possible%20to%20upgrade%20a%20post%20version%202.0%20Enterprise%20Library%20configuration%20file%20to%20a%20newer%20version%3f